Subject: Re: Recall email protocol

From: John C Klensin <[email-masked]>
Date: Mon, 28 Feb 2005 11:20:57 -0500

Bill,

Briefly, it hasn't been done because, in the general case, it
can't be done.  Your observation about the security issues is
actually the tip of an iceberg: a mail message passes through a
whole series of systems and, at least absent strong end-to-end
message authentication that all relevant receivers are willing
to exercise and honor, there is no good reason why a receiving
system should honor your claim to be authorized to get it to
cancel a message.    That isn't the only problem (or set of
problems), but it is sufficient. 

A postal analogy might be applicable here.  If you have a change
of heart after you have dropped a letter to me in the mailbox,
you might be able to call me and persuade me to discard the
message unopened, or you might try the same thing with a letter
with higher-priority for transport and delivery, but you cannot
"recall" the letter.  In the US, most attempts to do so are
seriously illegal.  

One could design an "if you haven't read this already, please
don't" protocol, of course.  But we have one of those: it is
just a message that says "if you haven't read that other message
already, please disregard or discard it".  No guarantees that
the recipient will pay any attention, but so it goes.

   john

--On Sunday, 27 February, 2005 23:02 -0700 William McDonald
<[email-masked]> wrote:

> I'd like to find out if this idea has already been done, or is
> in the works.
> 
> 
>  
> 
> I was interested in finding out if there is a standard that
> addresses 'recalling of e-mail message'.  I know that Outlook
> does this, but I didn't know if it was an email standard.  I
> didn't find anything initially in my RFC search.
> 
>  
> 
> Aside from the obvious use case where a person simply goofs in
> the information or sender, OR worse, sends a gossip email
> about his boss to his boss by mistake and wants it back, there
> is another more practical application I can think of:  virus
> damage control cleanup engines which reverse the virus spam
> that generated from your e-mail account by recalling all the
> bogus emails; a self correcting mechanism.  However, there are
> security issues with making sure a virus doesn't recall a
> message you are relying on having been sent and received.
> 
>  
> 
> Anyway, what do you think?
> 
>  
> 
>  
> 
> TIA,
> 
>  
> 
> --Bill McDonald
> 
> ***********************************
> 
> *  Sr. Application Engineer
> 
> *  PO Box 11345
> 
> *  Chandler, AZ 85248-0006
> 
> *  480-629-8383
> 
> ***********************************
> 
>  
>

---

From: "Glenn Parsons" <[email-masked]>
Date: Tue, 1 Mar 2005 16:20:33 -0500

The concept has been mentioned in the LEMONADE WG.
 
It is not specifically in charter, but was discussed as part of the future
delivery work item.
 
Cheers,
Glenn.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
On Behalf Of William McDonald
Sent: Monday, February 28, 2005 1:02 AM
To: [email-masked]
Subject: Recall email protocol

I'd like to find out if this idea has already been done, or is in the works.

I was interested in finding out if there is a standard that addresses
'recalling of e-mail message'.  I know that Outlook does this, but I didn't
know if it was an email standard.  I didn't find anything initially in my
RFC search.

Aside from the obvious use case where a person simply goofs in the
information or sender, OR worse, sends a gossip email about his boss to his
boss by mistake and wants it back, there is another more practical
application I can think of:  virus damage control cleanup engines which
reverse the virus spam that generated from your e-mail account by recalling
all the bogus emails; a self correcting mechanism.  However, there are
security issues with making sure a virus doesn't recall a message you are
relying on having been sent and received.

 

TIA,

--Bill McDonald

*  PO Box 11345

*  480-629-8383